com.h3c.sdn.misc.net

## Class DpSuppressedPortsDTO

- java.lang.Object
- - com.h3c.sdn.misc.net.DpSuppressedPortsDTO

- All Implemented Interfaces:
    DpSuppressedPorts

      public class DpSuppressedPortsDTO
      extends Object
      implements DpSuppressedPorts

  Provides an implementation of `DpSuppressedPorts`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DpSuppressedPortsDTO(DataPathId dpid, SuppressedPorts suppressedPorts)` Default constructor to create a representation of suppressed ports in a given datapath.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataPathId` | `device()` Returns the `datapath id` where lldp traffic is suppressed for one or more ports.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `SuppressedPorts` | `suppressedPorts()` Returns the `port` where lldp traffic is suppressed for a particular datapath.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DpSuppressedPortsDTO

          public DpSuppressedPortsDTO(DataPathId dpid,
                              SuppressedPorts suppressedPorts)

      Default constructor to create a representation of suppressed ports in a given datapath.
      Parameters:
        `dpid` - the controller learned switch or datapath
        `suppressedPorts` - the ports where lldp is suppressed
      Throws:
        `NullPointerException` - if any parameter is null

  - ### Method Detail

    - #### device

          public DataPathId device()

      Description copied from interface: `DpSuppressedPorts`
      Returns the `datapath id` where lldp traffic is suppressed for one or more ports.
      Specified by:
        `device` in interface `DpSuppressedPorts`
      Returns:
        the referred datapath

    - #### suppressedPorts

          public SuppressedPorts suppressedPorts()

      Description copied from interface: `DpSuppressedPorts`
      Returns the `port` where lldp traffic is suppressed for a particular datapath.
      Specified by:
        `suppressedPorts` in interface `DpSuppressedPorts`
      Returns:
        the suppressed ports

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.